function [x, y] = linReg(X, Y)
    if not(size(X,1) == size(Y,1)) || not(size(X,2) == size(Y,2))
        error ('rozmery vektoru musi byt stejne!');
    end
    
    f = polyfit(X, Y, 1);
    fi = atan(f(1));
    T = [cos(fi) -sin(fi);
         sin(fi) cos(fi)];
    res = [X Y] * T;
    x = res(:,1);
    y = res(:,2);
return