function [r, fi, cx, cy] = getPolar(x, y)
    [cx, cy] = findCenter(x,y);
    r = sqrt((x - cx).^2 + (y - cy).^2);
    auxfi = atan2(y - cy, x - cx);
    dfi = auxfi(1:end-1) - auxfi(2:end);
    dfi(dfi < -pi) = dfi(dfi < -pi) + 2*pi;
    dfi(dfi > pi) = 2*pi-dfi(dfi > pi);
    fi = cumsum(dfi);
    r = r(2:end);
return