clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

    length = size(fi,1);
    winSmall = ceil(length / 150);
    winBig = ceil(length / 80);
    if mod(winSmall, 2) == 0
        winSmall = winSmall + 1;
    end
    if mod(winBig, 2) == 0
        winBig = winBig + 1;
    end
           
    fi1 = sgolayfilt(fi, 3, winSmall);
    fi2 = sgolayfilt(fi1, 1, winBig);
    if 0
        plot(fi,'b');
        hold on;
        plot(fi1,'r');
        plot(fi2,'g');
        saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
        hold off
    end
    
    int = [sum(abs(fi1 - fi)) sum(abs(fi2 - fi)) sum(abs(fi2 - fi1))] / length;
    plot(x,y, 'b');
    title(sprintf('sum: %.5f ', int));
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
end