function [fi] = numberOfTurns(x, y)
    fx = sgolayfilt(x, 1, 101);
    fy = sgolayfilt(y, 1, 101);
    [v, vx, vy] = values(fx, fy);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);
    fi = abs(fi(end) / pi);
end