clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    X = sgolayfilt(x, 3, 5);
    Y = sgolayfilt(y, 3, 5);
    [v, vx, vy] = values(X, Y);
    
    X = myfilt(x, vx);
    Y = myfilt(y, vy);
    
    diffX = x - X';
    diffY = y - Y';
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
%    title(sprintf('%d : %d : %d', l, lx, ly));
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
end