clear all
close all
whos

tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for f = 1 : size(filenames, 1)
%for f = size(filenames, 1) : size(filenames, 1)
%for f = 11 : 11
    [x, y, Time] = loadData([directory filenames(f).name]);
    X = sgolayfilt(x, 3, 5);
    Y = sgolayfilt(y, 3, 5);
    [v, vx, vy] = values(X, Y);

    X = myfilt(x, vx, h, sprintf('%sfig %02d - x-filt-len', tag, f))';
    Y = myfilt(y, vy, h, sprintf('%sfig %02d - y-filt-len', tag, f))';
    
    diffX = X - x;
    diffY = Y - y;
    diff = sqrt((diffX .* diffX) + (diffY .* diffY));
    
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis square;
    saveas(h, sprintf('%sfig %02d', tag, f), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%sfig %02d - x-y', tag, f), 'png');
end