clear all
close all
whos

h = figure(1);
[x, y, Time] = loadData('../pspiral/pac12.dat');
for l = 11 : 20: 999
    X = sgolayfilt(x, 3, l);
    Y = sgolayfilt(y, 3, l);
     
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis equal;
    saveas(h, sprintf('fig %03d graf', l), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('fig %03d - x-y', l), 'png');
end