function [k, q] = linReg(x, y)
    len = max(size(x));
    
    Sx = sum(x);
    Sy = sum(y);
    Sxx = sum(x .* x);
    Sxy = sum(x .* y);
    Syy = sum(y .* y);
    
    wx = max(x) - min(x);
    wy = max(y) - min(y);
    
    if wx > wy
        k = (Sxy - (Sx*Sy)/len) / (Sxx - (Sx*Sx)/len);
    else
        k = (Syy - (Sy*Sy)/len) / (Sxy - (Sx*Sy)/len);
    end
    
    q = (Sy - k*Sx) / len;
return