clear all
close all
whos

directory = '../pcary/';
filenames = dir([directory '*.dat']);
numplots = 6;
for i = 7 : 7
    [X, Y, Time] = loadData([directory filenames(i).name]);
    
    [x1,y1] = linReg(X, Y);
    x = x1(1400:1800);
    y = y1(1400:1800);
    figure(1);
    plot(x,y);
    
    xn = sgolayfilt(x, 4, 15);
    yn = sgolayfilt(y, 4, 15);
    t = Time(1400:1800);
    
    [vn, vxn, vyn, an, axn, ayn] = values(xn, yn, t);
    [v, vx, vy, a, ax, ay] = values(x, y, t);

    figure(2)
    hold on;
    %plot(t, vx, 'r');
    plot(t, vxn, 'b');
    plot(t, x ./ 1000, 'g');
    figure(3)
    hold on;
    %plot(t, vy, 'r');
    plot(t, vyn, 'b');
    plot(t, y ./200, 'g');
    figure(4)
    hold on;
    plot(t, ax, 'r');
    plot(t, axn, 'b');
    figure(5)
    hold on;
    plot(t, ay, 'r');
    plot(t, ayn, 'b');
    
%    plot(X, Y, 'r');

    clear X Y Time a ax ay b v vx vy i step;
end

clear filenames i j numplots figlinreg figvel figfft figacc figacc2;