function [x, y] = linRegStep(X, Y, step)
    if not(size(X,1) == size(Y,1)) || not(size(X,2) == size(Y,2))
        error ('rozmery vektoru musi byt stejne!');
    end

    x = X; y = Y;
    length = max(size(X,1), size(X,2));
    i = 2;
    while i < (length - step)
        [x(i:i+step), y(i:i+step)] = linReg(X(i:i+step), Y(i:i+step));
        x(i:i+step) = x(i:i+step) + x(i-1) - x(i);
        y(i:i+step) = y(i:i+step) + y(i-1) - y(i);
        i = i + step;
    end;
    [x(i:end), y(i:end)] = linReg(X(i:end), Y(i:end));
    x(i:end) = x(i:end) + x(i-1) - x(i);
    y(i:end) = y(i:end) + y(i-1) - y(i);
return