clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
n = 5;
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v, vx, vy] = values(x, y, Time);
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);

%    figure(n*i - 4);
    plot(x,y, 'b');
    saveas(h, sprintf('%sfig %02d ', tag, i), 'png');

    fn = sgolayfilt(fi, 5, 35);
    fn2 = sgolayfilt(fn, 2, 75);
    if 1
%        figure(n*i - 2)
        plot(fi,'b');
        hold on;
        plot(fn,'r');
        plot(fn2,'g');
        saveas(h, sprintf('%sfig %02d fi', tag, i), 'png');
        hold off
    end
    
    plot(vx);
    saveas(h, sprintf('%sfig %02d vx', tag, i), 'png');
    
    length = size(fi,1);
    f = 1000*(0:256)/length;
    
%    figure(n*i - 1)
    fftV = fft(fi' - fn');
    PV = fftV .* conj(fftV) / length;
    plot(f, PV(1:size(f,2)));
    axis([0 128 0 10e-6]);
    saveas(h, sprintf('%sfig %02d - fft', tag, i), 'png');

%    figure(n*i)
    fftV = fft(fn2' - fn');
    PV = fftV .* conj(fftV) / length;
    plot(f, PV(1:size(f,2)));
    axis([0 128 0 10e-4]);
    saveas(h, sprintf('%sfig %02d - fft golay', tag, i), 'png');
end