function [v, vx, vy, a, ax, ay] = values(X, Y, Time)
    dt = filter([1 2 1], 1, Time);
    dx = filter([1 2 1], 1, X);
    dy = filter([1 2 1], 1, Y);

    ds = sqrt((dx .* dx) + (dy .* dy));
    v = ds ./ dt;
    vx = dx ./ dt;
    vy = dy ./ dt;
    
    dv = filter([1 2 1], 1, v);
    dvx = filter([1 2 1], 1, vx);
    dvy = filter([1 2 1], 1, vy);

    a = dv ./ dt;
    ax = dvx ./ dt;
    ay = dvy ./ dt;
return