function [v, vx, vy, a, ax, ay] = values(X, Y, Time)
    dt = 5;
    
    dx = filter([.5 0 -.5], 1, X);
    dy = filter([.5 0 -.5], 1, Y);

    ds = sqrt((dx .* dx) + (dy .* dy));
    v = ds ./ dt;
    vx = dx ./ dt;
    vy = dy ./ dt;

    dvx = filter([1 -2 1], 1, X);
    dvy = filter([1 -2 1], 1, Y);

    dv = sqrt((dvx .* dvx) + (dvy .* dvy));
    a = dv ./ (dt^2);
    ax = dvx ./ (dt^2);
    ay = dvy ./ (dt^2);
return