clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    [v, vx, vy] = values(x, y);
    
    plot(x, y, 'b');
    axis square;
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(vx);
    ylim([-100 100]);
    saveas(h, sprintf('%sfig %02d - vx', tag, i), 'png');

    plot(vy);
    ylim([-100 100]);
    saveas(h, sprintf('%sfig %02d - vy', tag, i), 'png');
end