clear all
close all
whos

tag = 'z';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
h = figure(1);
for i = 1 : size(filenames, 1)
    [x, y, Time] = loadData([directory filenames(i).name]);
    x = sgolayfilt(x, 4, 25);
    y = sgolayfilt(y, 4, 25);
    [v, vx, vy] = values(x, y);
    l = 2 * ceil(700 / mean(v)) + 1;
    
    fi = atan2(vy, vx);
    fi = unwrap(fi);
    r = sqrt((x-x(1)).^2 + (y-y(1)).^2);

    fin = sgolayfilt(fi, 1, l);
    diff = fi - fin;
    
    plot(x, y);
    saveas(h, sprintf('%sfig %02d', tag, i), 'png');
    
    plot(r, fi, 'b');
    saveas(h, sprintf('%sfig %02d - fi-r', tag, i), 'png');
end