function [fx] = myfilt(x, len)
    length = max(size(x));
    for i = 1 : length
        if (i == 1) || (len(i) ~= len(i-1))
            b = sgolay(2, len(i));
        end
        
        row = (len(i) + 1) / 2; % center
        start = max(0, min(i - row, length - len(i)));
        if i < row
            row = i;
        elseif (i+row) > length
            row = len(i) - (length - i);
        end
%        disp([i, start, row, len(i)]);
        
        fx(i) = 0;
        for j = 1 : len(i)
            fx(i) = fx(i) + b(row, j)*x(start + j);
        end
    end
end