clear all
close all
whos

h = figure(1);
[x, y, Time] = loadData('../pspiral/pac12.dat');
for l = 3 : 4 : 99
    [len, xl] = getLength(exp(l), max(size(x)));
    plot(xl, 'b');
    hold on
    plot(len, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('fig %03d - len', l), 'png');
    
    X = myfilt(x, len)';
    Y = myfilt(y, len)';
     
    plot(x, y, 'b');
    hold on;
    plot(X, Y, 'r');
    hold off;
    axis equal;
    saveas(h, sprintf('fig %03d - graf', l), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('fig %03d - x-y', l), 'png');
end