clear all
close all
whos

h = figure(1);
tag = 'p';
directory = ['../' tag 'spiral/'];
filenames = dir([directory '*.dat']);
for i = 1 : size(filenames, 1)
[ox, oy] = loadData([directory filenames(i).name]);
[x, y] = myResample(ox, oy, 50);
for l = 11 : 20 : 499
    if 2*round(l/2)+1 > max(size(x))
        break
    end
    
    [len, xl] = getLength(l, max(size(x)));
    plot(xl, 'b');
    hold on
    plot(len, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%02dfig %03d - len', i, l), 'png');
    
    X = myfilt(x, len)';
    Y = myfilt(y, len)';
     
    plot(ox, oy, 'g');
    hold on;
    plot(x, y, 'b');
    plot(X, Y, 'r');
    hold off;
    axis equal;
    saveas(h, sprintf('%02dfig %03d - graf', i, l), 'png');

    plot(x, 'b');
    hold on
    plot(y, 'b');
    plot(X, 'r');
    plot(Y, 'r');
    hold off
    xlim([0 max(size(x))]);
    saveas(h, sprintf('%02dfig %03d - x-y', i, l), 'png');
end
end